del nuts\*.jar

cd ..

cd nuts-core
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

cd nuts-exts
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

cd nuts-tools
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

cd nuts-gae
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

cd nuts-aws
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

cd nuts-aems
call ant.bat gen-all
if errorlevel 1 goto error
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

cd nuts-aems-gae
call ant.bat gen-all
if errorlevel 1 goto error
call ant.bat build
if errorlevel 1 goto error
call ant.bat jar
if errorlevel 1 goto error
cd ..

exit /b 0

:error
echo !!!! error !!!!
pause
exit /b 1
